SRU ubuntu-cloudimage-keyring into archive

Bug #1218963 reported by Scott Moser on 2013-08-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-cloudimage-keyring (Ubuntu)
Medium
Scott Moser
Precise
Medium
Scott Moser
Quantal
Medium
Scott Moser
Raring
Medium
Scott Moser

Bug Description

[Description]
Ubuntu's build process for cloud images (and maas ephemeral images) creates metadata about those images at http://cloud-images.ubuntu.com/releases/streams/v1/ and also creates .MD5SUM and .SHA256SUM files and signs those on a per-directory basis.

That signing key is put into a keyring in the ubuntu-cloudimage-keyring package that is now in saucy. We would like that package SRU'd to older supported releases.

This bug is a request to add the package to 12.04, 12.10, 13.04.

[Testcase]
After installation of the package, you should be able to see the key in the keyring, and use it to verify data.
$ gpg /usr/share/keyrings/ubuntu-cloudimage-keyring.gpg
pub 4096R/476CF100 2012-10-27 Ubuntu Cloud Image Builder (Canonical Internal Cloud Image Builder) <email address hidden>
sub 4096R/9D817405 2012-10-27

$ wget http://cloud-images.ubuntu.com/releases/streams/v1/index.sjson -O index.sjson
$ gpg --keyring /usr/share/keyrings/ubuntu-cloudimage-keyring.gpg --verify index.sjson
gpg: Signature made Thu 29 Aug 2013 11:02:15 PM EDT using RSA key ID 476CF100
gpg: Good signature from "Ubuntu Cloud Image Builder (Canonical Internal Cloud Image Builder) <email address hidden>"

[Regression Potential]
Regression potential should be very low. No other packages provide this file (/usr/share/keyrings/ubuntu-cloudimage-keyring.gpg), and the only real use of such a keyring is for this purpose.

Scott Moser (smoser) wrote :

This is fixed in saucy by its presense in the archive in saucy.

Changed in ubuntu-cloudimage-keyring (Ubuntu):
importance: Undecided → Medium
status: New → Fix Released
Scott Moser (smoser) on 2013-08-30
Changed in ubuntu-cloudimage-keyring (Ubuntu Precise):
status: New → In Progress
Changed in ubuntu-cloudimage-keyring (Ubuntu Quantal):
status: New → In Progress
Changed in ubuntu-cloudimage-keyring (Ubuntu Raring):
status: New → In Progress
Changed in ubuntu-cloudimage-keyring (Ubuntu Precise):
importance: Undecided → Medium
Changed in ubuntu-cloudimage-keyring (Ubuntu Quantal):
importance: Undecided → Medium
Changed in ubuntu-cloudimage-keyring (Ubuntu Raring):
importance: Undecided → Medium
Changed in ubuntu-cloudimage-keyring (Ubuntu Precise):
assignee: nobody → Scott Moser (smoser)
Changed in ubuntu-cloudimage-keyring (Ubuntu Quantal):
assignee: nobody → Scott Moser (smoser)
Changed in ubuntu-cloudimage-keyring (Ubuntu Raring):
assignee: nobody → Scott Moser (smoser)
Scott Moser (smoser) wrote :

I just uploaded to precise-proposed, quantal-proposed, and raring-proposed versions
 2013.08.23~12.04.1 [1]
 2013.08.23~12.10.1 [2]
 2013.08.23~13.04.1 [3]

They're in 'new' now.
--
[1] https://launchpad.net/ubuntu/precise/+queue?queue_text=ubuntu-cloudimage-keyring
[2] https://launchpad.net/ubuntu/quantal/+queue?queue_text=ubuntu-cloudimage-keyring
[3] https://launchpad.net/ubuntu/raring/+queue?queue_text=ubuntu-cloudimage-keyring

description: updated
Changed in ubuntu-cloudimage-keyring (Ubuntu):
assignee: nobody → Scott Moser (smoser)
Adam Conrad (adconrad) wrote :

Accepted into P/Q/R, please check the output of the builds when they're in.

Changed in ubuntu-cloudimage-keyring (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in ubuntu-cloudimage-keyring (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in ubuntu-cloudimage-keyring (Ubuntu Raring):
status: In Progress → Fix Committed
Scott Moser (smoser) wrote :

marking 'verification-done' based on 3 results collected above.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-cloudimage-keyring - 2013.08.23~13.04.1

---------------
ubuntu-cloudimage-keyring (2013.08.23~13.04.1) raring-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).
 -- Scott Moser <email address hidden> Fri, 30 Aug 2013 10:53:09 -0400

Changed in ubuntu-cloudimage-keyring (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-cloudimage-keyring - 2013.08.23~12.04.1

---------------
ubuntu-cloudimage-keyring (2013.08.23~12.04.1) precise-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).
 -- Scott Moser <email address hidden> Fri, 30 Aug 2013 10:53:09 -0400

Changed in ubuntu-cloudimage-keyring (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-cloudimage-keyring - 2013.08.23~12.10.1

---------------
ubuntu-cloudimage-keyring (2013.08.23~12.10.1) quantal-proposed; urgency=low

  * Initial release of Ubuntu Cloud Image keyring, for:
    - cloud-images.ubuntu.com
    This is an SRU port of version in saucy (LP: #1218963).
 -- Scott Moser <email address hidden> Fri, 30 Aug 2013 10:53:09 -0400

Changed in ubuntu-cloudimage-keyring (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers